using System;

namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int a, b, x, y;
            string[] s=Console.ReadLine().Split(' ');
            a=int.Parse(s[0]);
            b = int.Parse(s[1]);
            s = Console.ReadLine().Split(' ');
            x = int.Parse(s[0]);
            y = int.Parse(s[1]);
            if (a == x && b == y)
            {
                Console.WriteLine("nijedan");
            }
            else
            {
                if (a == x && b > y)
                {
                    Console.WriteLine("drugi");
                }
                else if (a > x && b == y)
                {
                    Console.WriteLine("prvi");
                }
                else
                {
                    Console.WriteLine("?");
                }
            }
        }
    }
}